package cn.iocoder.yudao.module.mes.dal.mysql.record;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.record.RecordQiebianDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 切边记录 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface RecordQiebianMapper extends BaseMapperX<RecordQiebianDO> {

    default PageResult<RecordQiebianDO> selectPage(PageParam reqVO, Long recordId) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RecordQiebianDO>()
                .eq(RecordQiebianDO::getRecordId, recordId)
                .orderByDesc(RecordQiebianDO::getId));
    }

    default int deleteByRecordId(Long recordId) {
        return delete(RecordQiebianDO::getRecordId, recordId);
    }

}